Link an incident to status pages
POST
/organizations/{org_id}/incidents/{incident_id}/pages
const url = 'https://api.perstat.io/organizations/example/incidents/example/pages';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status_page_ids":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.perstat.io/organizations/example/incidents/example/pages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status_page_ids": [ "example" ] }'Links the incident to one or more of the organization’s status pages so it appears there. Linking is additive and idempotent; use the unlink operation to remove a link. Page ids that do not belong to the organization return 400. Requires the incident command plan capability, otherwise 402.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org_id
required
string
incident_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Incident explizit auf gewählte Status-Seiten publizieren (Public-IDs).
object
status_page_ids
required
Array<string>
Examplegenerated
{ "status_page_ids": [ "example" ]}